/* $Id: xngtk.h,v 1.1.1.1 2004/10/11 17:35:06 mjhammel Exp $ */
/*========================================================================
 *  Copyright (c) Michael J. Hammel 1995-2001
 *========================================================================
 *              FILE NAME: xngtk.h
 *            DESCRIPTION: some useful macros, etc. for use with GTK
 *  SOFTWARE DEPENDENCIES: 
 *  HARDWARE DEPENDENCIES: 
 *                  NOTES: 
 *
 * SPECIAL CONSIDERATIONS:
 * This file is easiest to read with tabstops set to 3
 *
 *========================================================================
 *
 * MODIFICATION HISTORY:
 * $Log: xngtk.h,v $
 * Revision 1.1.1.1  2004/10/11 17:35:06  mjhammel
 * Initial import
 *
 * Revision 1.1.1.1  2002/01/10 18:37:59  mjhammel
 * Initial checkin
 *
 *
 *========================================================================*/
#ifndef XNGTK_H
#define XNGTK_H

#include <gdk/gdkx.h>

/*
 * Retrieve width and height of a GtkWidget.
 */
#define GTK_WIDGET_GET_USIZE_WIDTH(w, wwidth)	\
	{															\
		GtkRequisition attributes;						\
		gtk_widget_size_request(w, &attributes);	\
		wwidth = attributes.width;						\
	}
#define GTK_WIDGET_GET_USIZE_HEIGHT(w, wheight)	\
	{															\
		GtkRequisition attributes;						\
		gtk_widget_size_request(w, &attributes);	\
		wheight = attributes.height;					\
	}

/*
 * The parent window of a GtkWidget.
 */
#define GTK_WIDGET_GET_PARENT(w)			w->parent

/*
 * The Gdk window of a GtkWidget
 */
#define GTK_WIDGET_GET_GDK_WINDOW(w)	w->window  

#endif /* XNGTK_H */
